<?php
session_start();
error_reporting(0);

date_default_timezone_set('america/mexico_city');
include "../js/conectpoo.php";

switch($_GET['op']){

case '76':{
$anio=$_GET['anio'];
$kuery ="SELECT * FROM indirectos_presupuestados WHERE anio = '$anio'";
$objeto= new db();
$resultado=$objeto->consultaregistros($kuery);
    
for($x=0; $x < count($resultado); $x++){
    $ano = $resultado[$x]['anio'];
    $ene = $resultado[$x]['enero'];
    $feb = $resultado[$x]['febrero'];
    $mar = $resultado[$x]['marzo'];
    $abr = $resultado[$x]['abril'];
    $may = $resultado[$x]['mayo'];
    $jun = $resultado[$x]['junio'];
    $jul = $resultado[$x]['julio'];
    $ago = $resultado[$x]['agosto'];
    $sep = $resultado[$x]['septiembre'];
    $oct = $resultado[$x]['octubre'];
    $nov = $resultado[$x]['noviembre'];
    $dic = $resultado[$x]['diciembre'];
    $f = $resultado[$x]['factor'];
    $tipo = $resultado[$x]['tipo_indirecto'];

$resp.=<<<jjj
$ano * $ene * $feb * $mar * $abr * $may * $jun * $jul * $ago * $sep * $oct * $nov * $dic * $f * $tipo _
jjj;
}
$contenido = $resp;
}break;

case '86':{
$tabla = $_GET['tabla'];
$ano = $_GET['ano'];

for($i = 1; $i < 13; $i ++){
    $mes = '0'.$i;
    
    if($mes >= 10)
        $mes = ''.$i;
    
    $fechai = $ano.'-'.$mes.'-'.'01';
    $fechaf = $ano.'-'.$mes.'-'.'31';
    
    $kuery = "SELECT SUM(montoreal) AS monto FROM `ingresos` WHERE fecha_real BETWEEN '$fechai' AND '$fechaf'";
    //if($tabla == "egreso"){
      //  $kuery = "SELECT SUM(monto_real) AS monto FROM `egreso` WHERE clasificacionegreso='$condicion' AND fecha_real BETWEEN '$fechai' AND '$fechaf'";
    //}   
    $objeto = new db();
    $resultado = $objeto -> consultaregistros($kuery);
    $montoIngreso = $resultado[0]["monto"];

    
    $objeto2 = new db();
    $kuery2 = "SELECT SUM(monto_real) AS monto FROM `egreso` WHERE fecha_real BETWEEN '$fechai' AND '$fechaf'";
    $resultado2 = $objeto2 -> consultaregistros($kuery2);
    $montoEgreso = $resultado2[0]["monto"];
    
    $resp.=<<<jjj

        $montoIngreso * $montoEgreso _
jjj;
}


$contenido = $resp;         

}break;

        
case '87':{
$ano = $_GET['ano'];
$condicion = $_GET['condicion'];
$resp = '';

if($condicion == 'directos'){
    $resp = getEgresosReales($ano,'directo fijo').'_'.getEgresosReales($ano,'directo variable');
}else if($condicion == 'indirectos'){
    $resp = getEgresosReales($ano,'indirecto fijo').'_'.getEgresosReales($ano,'indirecto variable');
}
    
$contenido = $resp;

}break;
        
        
case '88':{
$ano = $_GET['ano'];
$fechai = $ano.'-01-01';
$fechaf = $ano.'-12-31';
$objeto = new db();
$kuery = "SELECT DISTINCT(cotiza.id_proyectos),ingresos_presupuestados.total_proyectado,ingresos_presupuestados.tabla_ingresos,proyectos.nombre FROM `cotiza` INNER JOIN cotiza_etapas ON cotiza_etapas.id_cotiza=cotiza.id_cotiza INNER JOIN ingresos_presupuestados ON cotiza.id_proyectos=ingresos_presupuestados.id_proyecto INNER JOIN proyectos ON cotiza.id_proyectos=proyectos.id_proyectos WHERE cotiza.estado=1 AND (cotiza_etapas.etapafi BETWEEN '$fechai' AND '$fechaf' OR cotiza_etapas.etapaff BETWEEN '$fechai' AND '$fechaf')";
    
    
    
/*$kuery = "SELECT DISTINCT(cotiza.id_proyectos),ingresos_presupuestados.total_proyectado,ingresos_presupuestados.tabla_ingresos FROM `cotiza` INNER JOIN cotiza_etapas ON cotiza_etapas.id_cotiza=cotiza.id_cotiza INNER JOIN ingresos_presupuestados ON cotiza.id_proyectos=ingresos_presupuestados.id_proyecto WHERE cotiza.estado=1 AND (cotiza_etapas.etapafi BETWEEN '$fechai' AND '$fechaf' OR cotiza_etapas.etapaff BETWEEN '$fechai' AND '$fechaf')";*/
$resultado = $objeto -> consultaregistros($kuery);
   
for($x=0; $x < count($resultado); $x++){
    $id_proyectos =  $resultado[$x]['id_proyectos'];
    $total_proyectado =  $resultado[$x]['total_proyectado'];
    $tabla_ingresos =  $resultado[$x]['tabla_ingresos'];
    $nombre =  $resultado[$x]['nombre'];
    
    $resp.=<<<jjj
        $id_proyectos ¿ $total_proyectado ¿ $tabla_ingresos ¿ $nombre ,
jjj;
}
    
$contenido = $resp;
}break;
        

case '89':{
$ano = $_GET['ano'];
$fechai = $ano.'-01-01';
$fechaf = $ano.'-12-31';
$objeto = new db();
$kuery = "SELECT DISTINCT(cotiza.id_proyectos),egresos_presupuestados.total_proyectado,egresos_presupuestados.tabla_egresos FROM `cotiza` INNER JOIN cotiza_etapas ON cotiza_etapas.id_cotiza=cotiza.id_cotiza INNER JOIN egresos_presupuestados ON cotiza.id_proyectos=egresos_presupuestados.id_proyecto WHERE cotiza.estado=1 AND (cotiza_etapas.etapafi BETWEEN '$fechai' AND '$fechaf' OR cotiza_etapas.etapaff BETWEEN '$fechai' AND '$fechaf')
";
$resultado = $objeto -> consultaregistros($kuery);
   
for($x=0; $x < count($resultado); $x++){
    $id_proyectos =  $resultado[$x]['id_proyectos'];
    $total_proyectado =  $resultado[$x]['total_proyectado'];
    $tabla_egresos =  $resultado[$x]['tabla_egresos'];
    
    $resp.=<<<jjj
        $id_proyectos ¿ $total_proyectado ¿ $tabla_egresos &
jjj;
}
    
$contenido = $resp;
}break;
        
        
case '90':{
$ano = $_GET['ano'];
$fechai = $ano.'-01-01';
$fechaf = $ano.'-12-31';
$objeto = new db();
$kuery = "SELECT cotiza.id_proyectos AS proyecto,cotiza_etapas.etapafi,cotiza_etapas.etapaff,detalle_cotiza_etapas.monto,detalle_cotiza_etapas.Markup FROM `cotiza_etapas` INNER JOIN cotiza ON cotiza_etapas.id_cotiza = cotiza.id_cotiza INNER JOIN detalle_cotiza_etapas ON cotiza_etapas.id_cotiza_etapas=detalle_cotiza_etapas.id_cotiza_etapas WHERE cotiza.estado=1 AND detalle_cotiza_etapas.tipo=1 AND (etapafi BETWEEN '$fechai' AND '$fechaf' OR etapaff BETWEEN '$fechai' AND '$fechaf')";
$resultado = $objeto -> consultaregistros($kuery);
   
for($x=0; $x < count($resultado); $x++){
    $proyecto =  $resultado[$x]['proyecto'];
    $fecha_inicial =  $resultado[$x]['etapafi'];
    $fecha_final =  $resultado[$x]['etapaff'];
    $monto =  $resultado[$x]['monto'];
    $Markup =  $resultado[$x]['Markup'];
    
    $resp.=<<<jjj
        $proyecto * $fecha_inicial * $fecha_final * $monto * $Markup _
jjj;
}
    
$contenido = $resp;
}break;
        

case '91':{
$ano = $_GET['ano'];
$fechai = $ano.'-01-01';
$fechaf = $ano.'-12-31';
$meses = ['01','02','03','04','05','06','07','08','09','10','11','12']; 
    
$objeto = new db();
$kuery = "SELECT DISTINCT(proyectos.id_proyectos),ingresos.id_cc,proyectos.nombre FROM `ingresos` INNER JOIN proyectos ON ingresos.id_cc=proyectos.cc WHERE fecha_real BETWEEN '$fechai' AND '$fechaf'";
$resultado = $objeto -> consultaregistros($kuery);

for($x=0; $x < count($resultado); $x++){
    $id_proyecto =  $resultado[$x]['id_proyectos'];
    $id_cc =  $resultado[$x]['id_cc'];
    $nombre_proyecto =  $resultado[$x]['nombre'];
    $totales = '';
    
    for($y=0; $y < 12; $y++){
        $fechap = $ano.'-'.$meses[$y].'-01';
        $fechau = $ano.'-'.$meses[$y].'-31';
        $objeto2 = new db();
        $kuery2 ="SELECT SUM(montoreal) AS suma FROM `ingresos` WHERE fecha_real BETWEEN '$fechap' AND '$fechau' AND id_cc=$id_cc";
        $resultado2 = $objeto2 -> consultaregistros($kuery2);
        
        $mensual =  floatval($resultado2[0]['suma']);
        $totales = $totales.'-'.$mensual;
        
        
    }
    
    $resp.=<<<jjj
    $id_proyecto * $nombre_proyecto * $id_cc * $totales * _ 
jjj;
}
    
$contenido = $resp;
}break;


case '92':{
$ano = $_GET['ano'];
$fechai = $ano.'-01-01';
$fechaf = $ano.'-12-31';


$objeto = new db();
$kuery = "SELECT DISTINCT (cotiza.id_proyectos) AS id_proyectos FROM `cotiza_etapas` INNER JOIN cotiza ON cotiza.id_cotiza=cotiza_etapas.id_cotiza WHERE cotiza.estado=1 AND (cotiza_etapas.etapafi<='$fechaf' AND cotiza_etapas.etapaff>='$fechai')";
$resultado = $objeto -> consultaregistros($kuery);

for($x=0; $x < count($resultado); $x++){
    $id_proyecto =  $resultado[$x]['id_proyectos'];

    $variables=getVariables($id_proyecto);

$resp.=<<<jjj
    $variables ? 
jjj;
}

$contenido = $resp;
}break;
      
}


function getVariables($proyecto){
    
$kuery ="SELECT total_proyectado,tabla_egresos FROM `egresos_presupuestados` WHERE id_proyecto='$proyecto'";
$objeto= new db();
$resultado=$objeto->consultaregistros($kuery); 
    
for($x=0; $x < count($resultado); $x++){
    $total_proyectado =  $resultado[$x]['total_proyectado'];
    $tabla_egresos =  $resultado[$x]['tabla_egresos'];
    
    $resp.=<<<jjj
$total_proyectado @ $tabla_egresos %
jjj;
}
    
return $resp; 
}


function getEgresosReales($ano,$condicion){
for($i = 1; $i < 13; $i ++){
    $mes = '0'.$i;
    
    if($mes >= 10)
        $mes = ''.$i;
    
    $fechai = $ano.'-'.$mes.'-'.'01';
    $fechaf = $ano.'-'.$mes.'-'.'31';
    
    $objeto = new db();
    $kuery = "SELECT SUM(monto_real) AS monto FROM `egreso` WHERE fecha_real BETWEEN '$fechai' AND '$fechaf' AND clasificacionegreso='$condicion'";
    $resultado = $objeto -> consultaregistros($kuery);
    $montoEgreso = $resultado[0]["monto"];
    
    $resp.=<<<jjj
        $montoEgreso *
jjj;
}

return $resp;
}









echo $contenido;


?>
